// this function verifies disk space in kilobytes
function verifyDiskSpace(dirPath, spaceRequired)
{
  var spaceAvailable;

  // Get the available disk space on the given path
  spaceAvailable = fileGetDiskSpaceAvailable(dirPath);

  // Convert the available disk space into kilobytes
  spaceAvailable = parseInt(spaceAvailable / 1024);

  // do the verification
  if(spaceAvailable < spaceRequired)
  {
    logComment("Insufficient disk space: " + dirPath);
    logComment("  required : " + spaceRequired + " K");
    logComment("  available: " + spaceAvailable + " K");
    return(false);
  }

  return(true);
}

var srDest = 1;
var version = "1.00";
var err = initInstall("mozex", "mozex", version); 

logComment("initInstall: " + err);

if (verifyDiskSpace(getFolder("Program"), srDest))
{
    addFile("mozex",
            "mozex.jar", // jar source folder 
            getFolder("Chrome"),        // target folder
            "");                        // target subdir 

    registerChrome(CONTENT | DELAYED_CHROME, getFolder("Chrome","mozex.jar"), 
        "content/mozex/");
    //registerChrome(LOCALE | DELAYED_CHROME, getFolder("Chrome", "mozex.jar"), 
    //    "locale/en-US/mozex/");
    //registerChrome(SKIN | DELAYED_CHROME, getFolder("Chrome", "mozex.jar"), 
    //    "skin/modern/mozex/");

    if (err==SUCCESS) {
        performInstall(); 
        alert("To complete the installation\n" + 
              "please exit mozilla and then\n" +
              "start it as root once again.");
    }
    else {
        cancelInstall(err);
    }
}
else
    cancelInstall(INSUFFICIENT_DISK_SPACE);
